Last modified: 2011-11-14 11:55:30 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31459 - Gender in user namespaces for Portuguese Wikipedia
Gender in user namespaces for Portuguese Wikipedia
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
https://pt.wikipedia.org/wiki/Wikipéd...
: i18n, shell
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-07 00:31 UTC by Opraco
Modified: 2011-11-14 11:55 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Opraco 2011-10-07 00:31:55 UTC
Probably because the user namespaces in Portuguese Wikipedia were fixed to the Brazilian versions "Usuário" and "Usuário Discussão" in bug 27495, the expected change of MediaWiki 1.18 which would adapt the user namespace to the gender set in preferences did not happen. The current "Usuário" and "Usuário Discussão" are the exclusively male versions. Women should have "Usuária" and "Usuária Discussão" and, if possible, a neutral way for those who have not set their gender is "Usuário(a)" and "Usuário(a) Discussão". Thanks!
Comment 1 Leinad 2011-10-07 19:19:50 UTC
Ptwiki don't use default MediaWiki user namespace, because you set $wgExtraNamespaces, so no changes with genderized user namespace happen after deployment 1.18. You have to set $wgExtraGenderNamespaces.

If I didn't make a mistake, you should request to set:

$wgExtraGenderNamespaces = array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' =>
'Usuária_Discussão' ),
);

and to set neutral form (imho you have to provide community consensus) you have to change configuration of $wgExtraNamespaces: 

'wgExtraNamespaces' => array(
        NS_USER => 'Usuário(a)',
        NS_USER_TALK => 'Usuário(a) Discussão',
),
Comment 2 Helder 2011-10-08 18:38:58 UTC
By default, MessagesPt.php has[1]:
$namespaceNames = array(
       NS_USER             => 'Utilizador',
       NS_USER_TALK        => 'Utilizador_Discussão',
...
$namespaceAliases = array(
       'Usuário'           => NS_USER,
       'Usuário_Discussão' => NS_USER_TALK,
...
$namespaceGenderAliases = array(
       NS_USER => array( 'male' => 'Utilizador', 'female' => 'Utilizadora' ),
       NS_USER_TALK => array( 'male' => 'Utilizador_Discussão', 'female' => 'Utilizadora_Discussão' ),
);

So, I'm changing the title of this bug, because on all Portuguese wikis (e.g. Wikibooks), MediaWiki should also be redirecting
       'Usuária' => NS_USER,
       'Usuária_Discussão' => NS_USER_TALK
since these are the female names corresponding to NS_USER/NS_USER_TALK namespace aliases. These redirects from 'pt-br' variant are not working at the moment, even though MessagesPt_br.php already has:
$namespaceGenderAliases = array(
       NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
       NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
);

PS: Notice that Portuguese **Wikipedia** is the only wiki having '$wgLanguageCode= "pt"' which uses "Usuário"/"Usuária" instead of the the default 'pt' user namespace names "Utilizador"/"Utilizador_Discussão" provided by MediaWiki.


[1]http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/languages/messages/MessagesPt.php?revision=99241&view=markup#l52
Comment 3 Niklas Laxström 2011-10-10 18:54:52 UTC
Only one issue per bug please.
Comment 4 Opraco 2011-10-19 01:13:22 UTC
(In reply to comment #1)
> Ptwiki don't use default MediaWiki user namespace, because you set
> $wgExtraNamespaces, so no changes with genderized user namespace happen after
> deployment 1.18. You have to set $wgExtraGenderNamespaces.
> 
> If I didn't make a mistake, you should request to set:
> 
> $wgExtraGenderNamespaces = array(
>         NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
>         NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' =>
> 'Usuária_Discussão' ),
> );
> 
> and to set neutral form (imho you have to provide community consensus) you have
> to change configuration of $wgExtraNamespaces: 
> 
> 'wgExtraNamespaces' => array(
>         NS_USER => 'Usuário(a)',
>         NS_USER_TALK => 'Usuário(a) Discussão',
> ),

Exactly. Local consensus can be found at [[w:pt:Wikipédia:Esplanada/propostas/Sexo nos domínios de usuários (7out2011)]]. Thank you for the attention.
Comment 5 Opraco 2011-10-19 01:15:21 UTC
(In reply to comment #4)
> (In reply to comment #1)
> > Ptwiki don't use default MediaWiki user namespace, because you set
> > $wgExtraNamespaces, so no changes with genderized user namespace happen after
> > deployment 1.18. You have to set $wgExtraGenderNamespaces.
> > 
> > If I didn't make a mistake, you should request to set:
> > 
> > $wgExtraGenderNamespaces = array(
> >         NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
> >         NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' =>
> > 'Usuária_Discussão' ),
> > );
> > 
> > and to set neutral form (imho you have to provide community consensus) you have
> > to change configuration of $wgExtraNamespaces: 
> > 
> > 'wgExtraNamespaces' => array(
> >         NS_USER => 'Usuário(a)',
> >         NS_USER_TALK => 'Usuário(a) Discussão',
> > ),
> 
> Exactly. Local consensus can be found at
> [[w:pt:Wikipédia:Esplanada/propostas/Sexo nos domínios de usuários
> (7out2011)]]. Thank you for the attention.

Ops, link didn't work. The direct URL is https://pt.wikipedia.org/wiki/Wikipédia:Esplanada/propostas/Sexo_nos_domínios_de_usuários_(7out2011)
Comment 6 Helder 2011-10-19 02:23:53 UTC
Heh... This later link doesn't work either, because of a Bugzilla bug[1].

I think the first one is broken because Bugzilla wrapped the line in the middle of your link and then it didn't match[2] the regex[3] used to create Wikipedia links as it should[4]. I think this bug[5] will be fixed only on Bugzilla 4.2 =(


----
[1] https://bugzilla.mozilla.org/show_bug.cgi?id=663299
[2] http://www.rubular.com/r/SQuzbwWItf
[3] http://svn.wikimedia.org/viewvc/mediawiki/trunk/tools/bugzilla/bugzilla-4.0/extensions/Wikimedia/Extension.pm?view=markup#l41
[4] http://www.rubular.com/r/CqVK7Wamds
[5] https://bugzilla.mozilla.org/show_bug.cgi?id=551468
Comment 7 Sam Reed (reedy) 2011-10-20 03:56:01 UTC
Please clearly state what you require setting to what, and where
Comment 8 Opraco 2011-10-20 08:25:35 UTC
(In reply to comment #7)
> Please clearly state what you require setting to what, and where

It is what Leinad suggested in comment 1.
Comment 9 Sam Reed (reedy) 2011-10-27 03:05:18 UTC
So you want

'wgExtraGenderNamespaces' => array(
	'ptbooks' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
	),
	'ptmedia' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
	),
	'ptwikinews' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
	),
	'ptwikiquote' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
	)
	'ptwikisource' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
	),
	'ptwikiversity' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
	),
	'ptwiktionary' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' => 'Usuária_Discussão' ),
	),




....?
Comment 10 Opraco 2011-10-27 07:34:58 UTC
No, that would be just for Portuguese Wikipedia (ptwiki):

'wgExtraGenderNamespaces' => array(
    'ptwiki' => array(
        NS_USER => array( 'male' => 'Usuário', 'female' => 'Usuária' ),
        NS_USER_TALK => array( 'male' => 'Usuário_Discussão', 'female' =>
'Usuária_Discussão' ),
    ),

$wgExtraNamespaces should also be set as

    'ptwiki' => array(
      NS_USER => 'Usuário(a)',
      NS_USER_TALK => 'Usuário(a)_Discussão',
      100 => 'Portal',
      101 => 'Portal_Discussão',
      102 => 'Anexo',
      103 => 'Anexo_Discussão',
      104 => 'Livro',
      105 => 'Livro_Discussão',
    ),

Sorry for not being clear.
Comment 11 Helder 2011-10-27 12:33:23 UTC
(In reply to comment #3)
> Only one issue per bug please.

I've moved the other request to Bug 31986, so that this can focus only on Portuguese Wikipedia (whose configuration for user namespaces is different from other Wikimedia wikis in Portuguese).
Comment 12 Sam Reed (reedy) 2011-11-14 10:41:18 UTC
(In reply to comment #10)
> 
> $wgExtraNamespaces should also be set as
> 
>     'ptwiki' => array(
>       NS_USER => 'Usuário(a)',
>       NS_USER_TALK => 'Usuário(a)_Discussão',
>       100 => 'Portal',
>       101 => 'Portal_Discussão',
>       102 => 'Anexo',
>       103 => 'Anexo_Discussão',
>       104 => 'Livro',
>       105 => 'Livro_Discussão',
>     ),
> 
> Sorry for not being clear.


Isn't this definitely correct? Having a namespace with "(a)" looks strange, at best
Comment 13 Helder 2011-11-14 10:51:36 UTC
(In reply to comment #12)
> Isn't this definitely correct? Having a namespace with "(a)" looks strange, at
> best

It is analogous to the construction "he/she" used in English:
http://www.google.com.br/search?q=%22the+user+*+he%2Fshe%22
Comment 14 Sam Reed (reedy) 2011-11-14 10:52:32 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > Isn't this definitely correct? Having a namespace with "(a)" looks strange, at
> > best
> 
> It is analogous to the construction "he/she" used in English:
> http://www.google.com.br/search?q=%22the+user+*+he%2Fshe%22

So that is a yes, this is definitely correct? ie being like neutral?
Comment 15 Helder 2011-11-14 10:54:29 UTC
(In reply to comment #14)
> So that is a yes, this is definitely correct? ie being like neutral?

Yes, and for some Portuguese examples, see:
http://www.google.com.br/search?q="o+(a)+Usuário(a)"
Comment 16 Sam Reed (reedy) 2011-11-14 11:55:30 UTC
Done

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links